<!--
 - Created by MarcelBrimus on 26/08/2019.
 -->
<!-- VTT Tradesmen Calendar -->
<template>
    <!--    Selected Date {selectedDate}-->
    <div class="slds-grid slds-wrap" if:true={isAdminOrSupervisor}>
        <div class="slds-col slds-size_1-of-1 slds-large-size_6-of-12 slds-m-bottom--medium slds-p-around--small">
            <fieldset class="slds-form-element slds-form-element_compound">
                <legend class="slds-form-element__legend slds-form-element__label">
                    <div if:true={isUserAdmin}>Select Vendor Company & Tradesman</div>
                    <div if:false={isUserAdmin}>Select Tradesman</div>
                </legend>
                <div class="slds-form-element__control">
                    <div class="slds-form-element__row">
                        <div class="slds-size_1-of-2" if:true={isUserAdmin}>
                            <div class="slds-form-element">
                                <label class="slds-form-element__label" for="select-01">
                                    <abbr class="slds-required" title="required"></abbr>Company</label>
                                <div class="slds-form-element__control">
                                    <lightning-spinner size="small" if:true={accountsLoading}></lightning-spinner>
                                    <lightning-combobox
                                            variant="label-hidden"
                                            value={selectedAccount}
                                            placeholder="Please select account"
                                            options={accounts}
                                            onchange={accountchange}></lightning-combobox>
                                </div>
                            </div>
                        </div>
                        <div class="slds-size_1-of-2">
                            <div class="slds-form-element">
                                <label class="slds-form-element__label" for="select-02">
                                    <abbr class="slds-required" title="required"></abbr>Tradesman</label>
                                <div class="slds-form-element__control">
                                    <lightning-spinner size="small" if:true={tradesmanLoading}></lightning-spinner>
                                    <lightning-combobox
                                            variant="label-hidden"
                                            value={selectedTradesman}
                                            placeholder="Please select Tradesman"
                                            options={tradesman}
                                            onchange={tradesmanchange}></lightning-combobox>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </fieldset>
        </div>
    </div>
    <div class="slds-grid slds-wrap">
        <div class="slds-align_absolute-center">
            <lightning-button label="Job In Progress"
                              if:true={isAvailableJobInProgress}
                              icon-name="utility:macros"
                              onclick={handleJobInProgress}></lightning-button>
        </div>
    </div>
    <div class="slds-grid slds-wrap">
        <div class="slds-col slds-size_1-of-1 slds-p-around--small">
            <!--CALENDAR-->
            <c-hog_calendar
                    show-legend=true
                    hover-effect=true
                    calendar-title={calendarLabel}
                    events-data={activityList}
                    loading={eventsLoading}
                    ondateclick={handleDateClick}
                    oneventclick={handleEventClick}
                    ondateschanged={handleDatesChange}
                    onlibrariesloaded={initializeComponentData}></c-hog_calendar>
        </div>
        <div class="slds-col slds-size_1-of-1 slds-p-around--small">
            <article class="slds-card">
                <lightning-spinner size="small" if:true={activitiesOnHoldLoading}></lightning-spinner>
                <div class="slds-card__header slds-grid">
                    <header class="slds-media slds-media_center slds-has-flexi-truncate">
                        <div class="slds-media__body">
                            <h2 class="slds-card__header-title">
                                <div class="slds-card__header-link slds-truncate"
                                     title="Activities on Hold">
                                    <span>Activities On Hold ({activitiesOnHoldSize})</span>
                                </div>
                            </h2>
                        </div>
                    </header>
                </div>
                <div class="slds-card__body slds-card__body_inner">
                    <div class="slds-scrollable" style="width: 100%; max-height:500px">
                        <table class="slds-table slds-table_bordered">
                            <thead>
                            <tr class="slds-line-height_reset">
                                <th class="" scope="col">
                                    <div class="slds-truncate">Work Order Activity</div>
                                </th>
                                <th class="" scope="col">
                                    <div class="slds-truncate">Put On Hold</div>
                                </th>
                                <th class="" scope="col">
                                    <div class="slds-truncate">Scheduled Date</div>
                                </th>
                            </tr>
                            </thead>
                            <tbody>
                            <template for:each={activitiesOnHold} for:item="item">
                                <c-vtt_calendar_woa_onhold_item
                                        item={item}
                                        key={item.Id}></c-vtt_calendar_woa_onhold_item>
                            </template>
                            </tbody>
                        </table>
                    </div>
                </div>
            </article>
            <article class="slds-card">
                <lightning-spinner size="small" if:true={detailsLoading}></lightning-spinner>
                <div class="slds-card__header slds-grid">
                    <header class="slds-media slds-media_center slds-has-flexi-truncate">
                        <div class="slds-media__body">
                            <h2 class="slds-card__header-title">
                                <div class="slds-card__header-link slds-truncate"
                                     title="Accounts">
                                    <span>Activity Log for: <lightning-formatted-date-time value={selectedDate}
                                                                                           year="numeric"
                                                                                           month="numeric"
                                                                                           day="numeric"></lightning-formatted-date-time></span>
                                </div>
                            </h2>
                        </div>
                    </header>
                </div>
                <div class="slds-card__body slds-card__body_inner">
                    <table class="slds-table slds-table_header-hidden">
                        <tbody>
                        <tr class="slds-hint-parent">
                            <td>
                                <div class="slds-truncate slds-text-title_bold">Total Time:</div>
                            </td>
                            <td>
                                <div class="slds-truncate">{logTime.TotalHoursText}</div>
                            </td>
                        </tr>
                        <tr class="slds-hint-parent">
                            <td>
                                <div class="slds-truncate slds-text-title_bold">Total Time On Equipment:</div>
                            </td>
                            <td>
                                <div class="slds-truncate">{logTime.TotalHoursOnEquipmentText}</div>
                            </td>
                        </tr>
                        <tr class="slds-hint-parent">
                            <td>
                                <div class="slds-truncate slds-text-title_bold">Total Time Off Equipment:</div>
                            </td>
                            <td>
                                <div class="slds-truncate">{logTime.TotalHoursOffEquipmentText}</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>

                </div>
            </article>
            <article class="slds-card">
                <lightning-spinner size="small" if:true={detailsLoading}></lightning-spinner>
                <div class="slds-card__header slds-grid">
                    <header class="slds-media slds-media_center slds-has-flexi-truncate">
                        <div class="slds-media__body">
                            <h2 class="slds-card__header-title">
                                <div class="slds-card__header-link slds-truncate"
                                     title="Work Order Summary">
                                    <span>Work Order Summary:</span>
                                </div>
                            </h2>
                        </div>
                    </header>
                </div>
                <div class="slds-scrollable" style="width: 100%; max-height:500px">
                    <div class="slds-card__body slds-card__body_inner">
                        <table class="slds-table slds-table_bordered">
                            <thead>
                            <tr class="slds-line-height_reset">
                                <th scope="col">
                                    <div class="slds-truncate">Work Order</div>
                                </th>
                                <th scope="col">
                                    <div class="slds-truncate">Location</div>
                                </th>
                                <th scope="col">
                                    <div class="slds-truncate">Hours</div>
                                </th>
                            </tr>
                            </thead>
                            <tbody>
                            <template if:true={summary} for:each={summary} for:item="item">
                                <c-vtt_calendar_wo_item
                                        item={item}
                                        key={item.WorkOrderId}></c-vtt_calendar_wo_item>
                            </template>
                            </tbody>
                        </table>
                    </div>
                </div>
            </article>
            <article class="slds-card">
                <lightning-spinner size="small" if:true={detailsLoading}></lightning-spinner>
                <div class="slds-card__header slds-grid">
                    <header class="slds-media slds-media_center slds-has-flexi-truncate">
                        <div class="slds-media__body">
                            <h2 class="slds-card__header-title">
                                <div class="slds-card__header-link slds-truncate"
                                     title="Work Order Activities Log">
                                    <span>Work Order Activities Log:</span>
                                </div>
                            </h2>
                        </div>
                    </header>
                </div>
                <div class="slds-scrollable" style="width: 100%; max-height:500px">
                    <div class="slds-card__body slds-card__body_inner" style="height:150px;">
                        <table class="slds-table slds-table_bordered">
                            <thead>
                            <tr class="slds-line-height_reset">
                                <th scope="col">
                                    <div class="slds-truncate">Work Order Activity</div>
                                </th>
                                <th scope="col">
                                    <div class="slds-truncate">Status</div>
                                </th>
                                <th scope="col">
                                    <div class="slds-truncate">Time</div>
                                </th>
                            </tr>
                            </thead>
                            <tbody>
                            <template if:true={woalist} for:each={woalist} for:item="item">
                                <tr class="slds-hint-parent" key={item.WorkOrderId}>
                                    <td role="gridcell">
                                        <div class="slds-truncate">{item.Work_Order_Activity__r.Name}</div>
                                    </td>
                                    <td role="gridcell">
                                        <div class="slds-truncate">{item.Status__c}</div>
                                    </td>
                                    <td role="gridcell">
                                        <div class="slds-truncate">
                                            <lightning-formatted-date-time
                                                    year="numeric"
                                                    month="numeric"
                                                    day="numeric"
                                                    hour="2-digit"
                                                    minute="2-digit"
                                                    value={item.TimeStamp__c}></lightning-formatted-date-time>
                                        </div>
                                    </td>
                                </tr>
                            </template>
                            </tbody>
                        </table>
                    </div>
                </div>
            </article>
        </div>
    </div>
</template>